AbstractFullBinding (Groovy 2.4.16)
Date: 2018-12-09

org.codehaus.groovy.binding

## Class AbstractFullBinding

- java.lang.Object
- - org.codehaus.groovy.binding.AbstractFullBinding

- All Implemented Interfaces:
    BindingUpdatable, FullBinding
  Direct Known Subclasses:
    AbstractSyntheticBinding, PropertyPathFullBinding

      public abstract class AbstractFullBinding
      extends java.lang.Object
      implements FullBinding

  Since:
    Groovy 1.1
  Author:
    Danno Ferrin

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Closure` | `converter`
    `protected Closure` | `reverseConverter`
    `protected SourceBinding` | `sourceBinding`
    `protected TargetBinding` | `targetBinding`
    `protected Closure` | `validator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractFullBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Closure` | `getConverter()`
    `Closure` | `getReverseConverter()`
    `SourceBinding` | `getSourceBinding()`
    `TargetBinding` | `getTargetBinding()`
    `Closure` | `getValidator()`
    `void` | `reverseUpdate()` If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
    `void` | `setConverter(Closure converter)`
    `void` | `setReverseConverter(Closure reverseConverter)`
    `void` | `setSourceBinding(SourceBinding sourceBinding)`
    `void` | `setTargetBinding(TargetBinding targetBinding)`
    `void` | `setValidator(Closure validator)`
    `void` | `update()` Causes the values to be propagated from the source to the target

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.codehaus.groovy.binding.BindingUpdatable

      `bind, rebind, unbind`

- - ### Field Detail

    - #### sourceBinding

          protected SourceBinding sourceBinding

    - #### targetBinding

          protected TargetBinding targetBinding

    - #### validator

          protected Closure validator

    - #### converter

          protected Closure converter

    - #### reverseConverter

          protected Closure reverseConverter

  - ### Constructor Detail

    - #### AbstractFullBinding

          public AbstractFullBinding()

  - ### Method Detail

    - #### update

          public void update()

      Description copied from interface: `BindingUpdatable`
      Causes the values to be propagated from the source to the target
      Specified by:
        `update` in interface `BindingUpdatable`

    - #### reverseUpdate

          public void reverseUpdate()

      Description copied from interface: `BindingUpdatable`
      If supported, Causes the values to be propagated from the target to the source, If not supported, an exception may be thrown
      Specified by:
        `reverseUpdate` in interface `BindingUpdatable`

    - #### getSourceBinding

          public SourceBinding getSourceBinding()

      Specified by:
        `getSourceBinding` in interface `FullBinding`

    - #### setSourceBinding

          public void setSourceBinding(SourceBinding sourceBinding)

      Specified by:
        `setSourceBinding` in interface `FullBinding`

    - #### getTargetBinding

          public TargetBinding getTargetBinding()

      Specified by:
        `getTargetBinding` in interface `FullBinding`

    - #### setTargetBinding

          public void setTargetBinding(TargetBinding targetBinding)

      Specified by:
        `setTargetBinding` in interface `FullBinding`

    - #### getValidator

          public Closure getValidator()

      Specified by:
        `getValidator` in interface `FullBinding`

    - #### setValidator

          public void setValidator(Closure validator)

      Specified by:
        `setValidator` in interface `FullBinding`

    - #### getConverter

          public Closure getConverter()

      Specified by:
        `getConverter` in interface `FullBinding`

    - #### setConverter

          public void setConverter(Closure converter)

      Specified by:
        `setConverter` in interface `FullBinding`

    - #### getReverseConverter

          public Closure getReverseConverter()

      Specified by:
        `getReverseConverter` in interface `FullBinding`

    - #### setReverseConverter

          public void setReverseConverter(Closure reverseConverter)

      Specified by:
        `setReverseConverter` in interface `FullBinding`